/*
This file is part of DashMan video game

Copyright (c) 2008 Michael Georgoulopoulos <msamurai@freemail.gr>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


// game.h
#ifndef _GAME_H_
#define _GAME_H_

enum GameElement
{
    WALL,
    SPACE,
    SAND,
    ROCK,
    GEM,
    HOME,
    NONE
};

enum Direction
{
    UP, DOWN, LEFT, RIGHT, NODIR
};

struct Level
{
    GameElement grid[20][15];
    int home_x, home_y;
    int gem_count;
};

bool LoadLevels();
void DrawLevel();
bool UpdateGame(Direction user_dir, bool user_action);

#endif // ndef _GAME_H_
