/*
This file is part of DashMan video game

Copyright (c) 2008 Michael Georgoulopoulos <msamurai@freemail.gr>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

// main.cpp
#include <stdlib.h>
#include "load_png.h"
#include <png.h>
#include <imago.h>

struct MemFile
{
	unsigned char *bytes;
	int cursor;
};

static void ReadFunc(png_struct *png, unsigned char *data, size_t len)
{
	MemFile *mf = (MemFile*)png_get_io_ptr(png);
	memcpy(data, mf->bytes + mf->cursor, len);
	mf->cursor += (int)len;
}


int DeleteImage(Image *img)
{
	if (!img) return 1;
	if (!img->pixels) return 1;
	free(img->pixels);
	return 0;
}

int LoadImageFromFile(const char *fname, Image *img)
{
	if(!(img->pixels = (PackedColor*)load_image(fname, &img->w, &img->h))) {
		return -1;
	}
	return 0;
}
