/*
This file is part of DashMan video game

Copyright (c) 2008 Michael Georgoulopoulos <msamurai@freemail.gr>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


// load_png.h
#ifndef _LOAD_PNG_H_
#define _LOAD_PNG_H_

typedef unsigned int PackedColor;
#define pack_color(r, g, b, a) ((a<<24)|(b<<16)|(g<<8)|r)

struct Image
{
	int w, h;
	PackedColor *pixels;
	Image()
	{
		w = h = 0;
		pixels = 0;
	}
};

int DeleteImage(Image *img);
int LoadImage(unsigned char *file_in_mem, Image *img);
int LoadImageFromFile(const char *filename, Image *img);

#endif // ndef _LOAD_PNG_H_
